;;; hm--mouse-on-modeline-dired.el: 
;;; v1.00; 6 Jun 1993
;;; Copyright (C) 1993  Heiko Muenkel
;;; email: muenkel@tnt.uni-hannover.de
;;;
;;; This file is based on the file mouse-on-modeline.el which was posted.
;;; I'am sorry, but I can't remember the name of the author of the orignal
;;; lisp code. Thank you for this nice code !
;;;
;;;
;;;  This program is free software; you can redistribute it and/or modify
;;;  it under the terms of the GNU General Public License as published by
;;;  the Free Software Foundation; either version 1, or (at your option)
;;;  any later version.
;;;
;;;  This program is distributed in the hope that it will be useful,
;;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;  GNU General Public License for more details.
;;;
;;;  You should have received a copy of the GNU General Public License
;;;  along with this program; if not, write to the Free Software
;;;  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;;;
;;; 
;;; Description:
;;;
;;;	Scrolls the current buffer, if you are clicking the left or the rigth
;;;     button on a modeline.
;;;	This file is for the file hm--menu.el and needs also the following 
;;;	file:
;;;		hm--mouse-on-modeline.el
;;; 
;;; Installation: 
;;;   
;;;	Put the following line in your .emacs:
;;;       (load-library "hm--mouse-on-modeline-menu")
;;;     and this file in one of your load-path-directories (lisp/packages for 
;;;     example).  
;;;

(provide 'hm--mouse-on-modeline-menu)
(require 'hm--mouse-on-modeline)
(require 'hm--menu)


(defun mouse-right (event)
  "Perform commands bound to right mouse button."
  (interactive "@e")
  (if (mouse-on-modeline-p)
      (scroll-up)
    (hm--popup-menu event)))


;; for the edebug mode
(defun hm--lisp-edebug-mouse-right (event)
  "Perform commands bound to right mouse button."
  (interactive "@e")
  (if (mouse-on-modeline-p)
      (scroll-up)
    (popup-menu 'hm--lisp-edebug-menu)))



;; Key-Bindings

(global-set-key 'button3 'mouse-right)


